// 寻宝表
import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts'

export interface DicXunbao {

    // 品质
    readonly quality: number;
    // 品质名
    readonly name: number;
    // 协助次数
    readonly assistanceTime: number;
    // ! 已删除。最低协助等级
    // readonly assistanceLevel: number;
}

export const dicXunbao = new Map<number, DicXunbao>();
export function loadXunbao() {
    let arr = readFileAndParse(FILENAME.DIC_XUNBAO);

    arr.forEach(o => {
        dicXunbao.set(o.quality, o);
    });
    arr = undefined;
}
